Documentation Index Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
Use this file to discover all available pages before exploring further.
Server path: /doppler-workplace | Type: Application | PCID required: Yes
doppler_workplace_audit_get_user
Workplace User
Parameters:
Parameter Type Required Default Description workplace_user_idstring Yes — The ID of the workplace user settingsboolean No — If true, the api will return more information if the user has e.g. SAML enabled and/or Multi Factor Auth enabled
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"workplace_user_id" : {
"type" : "string" ,
"description" : "The ID of the workplace user"
},
"settings" : {
"type" : "boolean" ,
"description" : "If true, the api will return more information if the user has e.g. SAML enabled and/or Multi Factor Auth enabled"
}
},
"required" : [
"PCID" ,
"workplace_user_id"
]
}
doppler_workplace_delete_v3workplaceservice_accountsservice_account_service_account_identitiesidentity_identity
DELETE /v3/workplace/service_accounts/service_account/{service_account}/identities/identity/{identity}
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Service Account identitystring Yes — The identity value
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Service Account"
},
"identity" : {
"type" : "string" ,
"description" : "The identity value"
}
},
"required" : [
"PCID" ,
"service_account" ,
"identity"
]
}
doppler_workplace_get
Retrieve
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_get_v3workplaceservice_accountsservice_account_service_account_identities
GET /v3/workplace/service_accounts/service_account/{service_account}/identities
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Service Account pageinteger No — Page number for pagination per_pageinteger No — Number of results per page
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Service Account"
},
"page" : {
"type" : "integer" ,
"description" : "Page number for pagination"
},
"per_page" : {
"type" : "integer" ,
"description" : "Number of results per page"
}
},
"required" : [
"PCID" ,
"service_account"
]
}
doppler_workplace_get_v3workplaceservice_accountsservice_account_service_account_identitiesidentity_identity
GET /v3/workplace/service_accounts/service_account/{service_account}/identities/identity/{identity}
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Service Account identitystring Yes — The identity value
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Service Account"
},
"identity" : {
"type" : "string" ,
"description" : "The identity value"
}
},
"required" : [
"PCID" ,
"service_account" ,
"identity"
]
}
doppler_workplace_groups_add_member
Add Member
Parameters:
Parameter Type Required Default Description slugstring Yes — The group’s slug member_slugstring Yes — The member’s slug typestring Yes — The type value
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "The group's slug"
},
"member_slug" : {
"type" : "string" ,
"description" : "The member's slug"
},
"type" : {
"type" : "string" ,
"description" : "The type value" ,
"enum" : [
"workplace_user"
]
}
},
"required" : [
"PCID" ,
"slug" ,
"member_slug" ,
"type"
]
}
doppler_workplace_groups_create
Create
Parameters:
Parameter Type Required Default Description default_project_rolestring No — Identifier of the project role namestring Yes — The name value
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"default_project_role" : {
"type" : "string" ,
"description" : "Identifier of the project role"
},
"name" : {
"type" : "string" ,
"description" : "The name value"
}
},
"required" : [
"PCID" ,
"name"
]
}
doppler_workplace_groups_delete
Delete
Parameters:
Parameter Type Required Default Description slugstring Yes — The group’s slug
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "The group's slug"
}
},
"required" : [
"PCID" ,
"slug"
]
}
doppler_workplace_groups_delete_member
Delete Member
Parameters:
Parameter Type Required Default Description slugstring Yes — The group’s slug typestring Yes — The type value member_slugstring Yes — The member’s slug
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "The group's slug"
},
"type" : {
"type" : "string" ,
"description" : "The type value" ,
"enum" : [
"workplace_user"
]
},
"member_slug" : {
"type" : "string" ,
"description" : "The member's slug"
}
},
"required" : [
"PCID" ,
"slug" ,
"type" ,
"member_slug"
]
}
doppler_workplace_groups_get
Retrieve
Parameters:
Parameter Type Required Default Description slugstring Yes — The group’s slug
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "The group's slug"
}
},
"required" : [
"PCID" ,
"slug"
]
}
doppler_workplace_groups_list
List
Parameters:
Parameter Type Required Default Description pageinteger No — Page number for pagination per_pageinteger No — Number of results per page
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"page" : {
"type" : "integer" ,
"description" : "Page number for pagination"
},
"per_page" : {
"type" : "integer" ,
"description" : "Number of results per page"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_groups_update
Update
Parameters:
Parameter Type Required Default Description slugstring Yes — The group’s slug default_project_rolestring No — Identifier of the project role namestring No — The name value
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "The group's slug"
},
"default_project_role" : {
"type" : "string" ,
"description" : "Identifier of the project role"
},
"name" : {
"type" : "string" ,
"description" : "The name value"
}
},
"required" : [
"PCID" ,
"slug"
]
}
doppler_workplace_invites_list
List
Parameters:
Parameter Type Required Default Description pageinteger No — Page number for pagination per_pageinteger No — Number of results per page
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"page" : {
"type" : "integer" ,
"description" : "Page number for pagination"
},
"per_page" : {
"type" : "integer" ,
"description" : "Number of results per page"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_post_v3workplaceservice_accountsservice_account_service_account_identities
POST /v3/workplace/service_accounts/service_account/{service_account}/identities
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Service Account configobject Yes — The config value methodstring Yes — The method value namestring Yes — The name value ttl_secondsinteger Yes — Ttl Seconds
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Service Account"
},
"config" : {
"type" : "object" ,
"description" : "The config value" ,
"properties" : {
"discovery_url" : {
"type" : "string" ,
"description" : "Discovery Url"
},
"claims_type" : {
"type" : "string" ,
"description" : "Claims Type"
},
"claims" : {
"type" : "object" ,
"description" : "The claims value"
}
},
"required" : [
"discovery_url" ,
"claims_type" ,
"claims"
]
},
"method" : {
"type" : "string" ,
"description" : "The method value" ,
"enum" : [
"oidc"
]
},
"name" : {
"type" : "string" ,
"description" : "The name value"
},
"ttl_seconds" : {
"type" : "integer" ,
"description" : "Ttl Seconds"
}
},
"required" : [
"PCID" ,
"service_account" ,
"config" ,
"method" ,
"name" ,
"ttl_seconds"
]
}
doppler_workplace_put_v3workplaceservice_accountsservice_account_service_account_identitiesidentity_identity
PUT /v3/workplace/service_accounts/service_account/{service_account}/identities/identity/{identity}
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Service Account identitystring Yes — The identity value configobject No — The config value methodstring No — The method value namestring No — The name value ttl_secondsinteger No — Ttl Seconds
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Service Account"
},
"identity" : {
"type" : "string" ,
"description" : "The identity value"
},
"config" : {
"type" : "object" ,
"description" : "The config value" ,
"properties" : {
"discovery_url" : {
"type" : "string" ,
"description" : "Discovery Url"
},
"claims_type" : {
"type" : "string" ,
"description" : "Claims Type"
},
"claims" : {
"type" : "object" ,
"description" : "The claims value"
}
},
"required" : [
"discovery_url" ,
"claims_type" ,
"claims"
]
},
"method" : {
"type" : "string" ,
"description" : "The method value" ,
"enum" : [
"oidc"
]
},
"name" : {
"type" : "string" ,
"description" : "The name value"
},
"ttl_seconds" : {
"type" : "integer" ,
"description" : "Ttl Seconds"
}
},
"required" : [
"PCID" ,
"service_account" ,
"identity"
]
}
doppler_workplace_retrieve_member
Retrieve Member
Parameters:
Parameter Type Required Default Description group_slugstring Yes — The group’s slug member_typestring Yes — Member Type member_slugstring Yes — The member’s slug
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"group_slug" : {
"type" : "string" ,
"description" : "The group's slug"
},
"member_type" : {
"type" : "string" ,
"description" : "Member Type" ,
"enum" : [
"workplace_user"
]
},
"member_slug" : {
"type" : "string" ,
"description" : "The member's slug"
}
},
"required" : [
"PCID" ,
"group_slug" ,
"member_type" ,
"member_slug"
]
}
doppler_workplace_roles_create
Create
Parameters:
Parameter Type Required Default Description namestring Yes — The name of the role permissionsstring[] Yes — An array containing the permissions the role has. Valid permissions are: all_enclave_projects, all_enclave_projects_admin, analytics_dashboard, billing, billing_manage, change_request_policy_manage, change_request_policy_read, create_enclave_project, custom_roles_manage, ekm, enclave_inheritance, enclave_secrets_referencing, logs, logs_audit, service_account_api_tokens, service_account_api_tokens_manage, service_account_identities, service_account_identities_manage, service_accounts, service_accounts_manage, settings, settings_manage, team, team_manage, verified_domains, verified_domains_manage, workplace_default_environments_manage, workplace_default_environments_read, workplace_integrations_create, workplace_integrations_list, workplace_integrations_manage, workplace_integrations_read
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"name" : {
"type" : "string" ,
"description" : "The name of the role"
},
"permissions" : {
"type" : "array" ,
"items" : {
"type" : "string"
},
"description" : "An array containing the permissions the role has. Valid permissions are: `all_enclave_projects`, `all_enclave_projects_admin`, `analytics_dashboard`, `billing`, `billing_manage`, `change_request_policy_manage`, `change_request_policy_read`, `create_enclave_project`, `custom_roles_manage`, `ekm`, `enclave_inheritance`, `enclave_secrets_referencing`, `logs`, `logs_audit`, `service_account_api_tokens`, `service_account_api_tokens_manage`, `service_account_identities`, `service_account_identities_manage`, `service_accounts`, `service_accounts_manage`, `settings`, `settings_manage`, `team`, `team_manage`, `verified_domains`, `verified_domains_manage`, `workplace_default_environments_manage`, `workplace_default_environments_read`, `workplace_integrations_create`, `workplace_integrations_list`, `workplace_integrations_manage`, `workplace_integrations_read`"
}
},
"required" : [
"PCID" ,
"name" ,
"permissions"
]
}
doppler_workplace_roles_delete
Delete
Parameters:
Parameter Type Required Default Description rolestring Yes — The role’s unique identifier
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"role" : {
"type" : "string" ,
"description" : "The role's unique identifier"
}
},
"required" : [
"PCID" ,
"role"
]
}
doppler_workplace_roles_get
Retrieve
Parameters:
Parameter Type Required Default Description rolestring Yes — The role’s unique identifier
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"role" : {
"type" : "string" ,
"description" : "The role's unique identifier"
}
},
"required" : [
"PCID" ,
"role"
]
}
doppler_workplace_roles_list
List
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_roles_list_permissions
List Permissions
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_roles_update
Update
Parameters:
Parameter Type Required Default Description rolestring Yes — The role’s unique identifier, which is the initial name the role was given namestring No — The name of the role permissionsstring[] No — An array containing the permissions the role has. Valid permissions are: all_enclave_projects, all_enclave_projects_admin, analytics_dashboard, billing, billing_manage, change_request_policy_manage, change_request_policy_read, create_enclave_project, custom_roles_manage, ekm, enclave_inheritance, enclave_secrets_referencing, logs, logs_audit, service_account_api_tokens, service_account_api_tokens_manage, service_account_identities, service_account_identities_manage, service_accounts, service_accounts_manage, settings, settings_manage, team, team_manage, verified_domains, verified_domains_manage, workplace_default_environments_manage, workplace_default_environments_read, workplace_integrations_create, workplace_integrations_list, workplace_integrations_manage, workplace_integrations_read
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"role" : {
"type" : "string" ,
"description" : "The role's unique identifier, which is the initial name the role was given"
},
"name" : {
"type" : "string" ,
"description" : "The name of the role"
},
"permissions" : {
"type" : "array" ,
"items" : {
"type" : "string"
},
"description" : "An array containing the permissions the role has. Valid permissions are: `all_enclave_projects`, `all_enclave_projects_admin`, `analytics_dashboard`, `billing`, `billing_manage`, `change_request_policy_manage`, `change_request_policy_read`, `create_enclave_project`, `custom_roles_manage`, `ekm`, `enclave_inheritance`, `enclave_secrets_referencing`, `logs`, `logs_audit`, `service_account_api_tokens`, `service_account_api_tokens_manage`, `service_account_identities`, `service_account_identities_manage`, `service_accounts`, `service_accounts_manage`, `settings`, `settings_manage`, `team`, `team_manage`, `verified_domains`, `verified_domains_manage`, `workplace_default_environments_manage`, `workplace_default_environments_read`, `workplace_integrations_create`, `workplace_integrations_list`, `workplace_integrations_manage`, `workplace_integrations_read`"
}
},
"required" : [
"PCID" ,
"role"
]
}
doppler_workplace_service_account_tokens_create
Create
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Slug of the service account expires_atstring No — The datetime at which the API token should expire. If not provided, the API token will remain vaild indefinitely unless manually revoked namestring No — The display name of the API token
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Slug of the service account"
},
"expires_at" : {
"type" : "string" ,
"description" : "The datetime at which the API token should expire. If not provided, the API token will remain vaild indefinitely unless manually revoked"
},
"name" : {
"type" : "string" ,
"description" : "The display name of the API token"
}
},
"required" : [
"PCID" ,
"service_account"
]
}
doppler_workplace_service_account_tokens_delete
Delete
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Slug of the service account api_tokenstring Yes — Slug of the API token
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Slug of the service account"
},
"api_token" : {
"type" : "string" ,
"description" : "Slug of the API token"
}
},
"required" : [
"PCID" ,
"service_account" ,
"api_token"
]
}
doppler_workplace_service_account_tokens_get
Retrieve
Parameters:
Parameter Type Required Default Description service_accountstring Yes — Slug of the service account api_tokenstring Yes — Slug of the API token
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"service_account" : {
"type" : "string" ,
"description" : "Slug of the service account"
},
"api_token" : {
"type" : "string" ,
"description" : "Slug of the API token"
}
},
"required" : [
"PCID" ,
"service_account" ,
"api_token"
]
}
doppler_workplace_service_account_tokens_list
List
Parameters:
Parameter Type Required Default Description pageinteger No — Page number for pagination per_pageinteger No — Number of results per page service_accountstring Yes — Slug of the service account
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"page" : {
"type" : "integer" ,
"description" : "Page number for pagination"
},
"per_page" : {
"type" : "integer" ,
"description" : "Number of results per page"
},
"service_account" : {
"type" : "string" ,
"description" : "Slug of the service account"
}
},
"required" : [
"PCID" ,
"service_account"
]
}
doppler_workplace_service_accounts_create
Create
Parameters:
Parameter Type Required Default Description namestring No — The name value workplace_roleobject No — You may provide an identifier OR permissions, but not both
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"name" : {
"type" : "string" ,
"description" : "The name value"
},
"workplace_role" : {
"type" : "object" ,
"description" : "You may provide an identifier OR permissions, but not both" ,
"properties" : {
"identifier" : {
"type" : "string" ,
"description" : "Identifier of an existing workplace role"
},
"permissions" : {
"type" : "array" ,
"description" : "Workplace permissions to grant"
}
}
}
},
"required" : [
"PCID"
]
}
doppler_workplace_service_accounts_delete
Delete
Parameters:
Parameter Type Required Default Description slugstring Yes — Slug of the service account
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "Slug of the service account"
}
},
"required" : [
"PCID" ,
"slug"
]
}
doppler_workplace_service_accounts_get
Retrieve
Parameters:
Parameter Type Required Default Description slugstring Yes — Slug of the service account
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "Slug of the service account"
}
},
"required" : [
"PCID" ,
"slug"
]
}
doppler_workplace_service_accounts_list
List
Parameters:
Parameter Type Required Default Description pageinteger No — Page number for pagination per_pageinteger No — Number of results per page
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"page" : {
"type" : "integer" ,
"description" : "Page number for pagination"
},
"per_page" : {
"type" : "integer" ,
"description" : "Number of results per page"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_service_accounts_update
Update
Parameters:
Parameter Type Required Default Description slugstring Yes — Slug of the service account namestring No — The name value workplace_roleobject No — You may provide an identifier OR permissions, but not both
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "Slug of the service account"
},
"name" : {
"type" : "string" ,
"description" : "The name value"
},
"workplace_role" : {
"type" : "object" ,
"description" : "You may provide an identifier OR permissions, but not both" ,
"properties" : {
"identifier" : {
"type" : "string" ,
"description" : "Identifier of an existing workplace role"
},
"permissions" : {
"type" : "array" ,
"description" : "Workplace permissions to grant"
}
}
}
},
"required" : [
"PCID" ,
"slug"
]
}
doppler_workplace_update
Update
Parameters:
Parameter Type Required Default Description billing_emailstring No — Billing Email namestring No — Workplace name security_emailstring No — Security Email
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"billing_email" : {
"type" : "string" ,
"description" : "Billing Email"
},
"name" : {
"type" : "string" ,
"description" : "Workplace name"
},
"security_email" : {
"type" : "string" ,
"description" : "Security Email"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_users_get
Retrieve
Parameters:
Parameter Type Required Default Description slugstring Yes — The slug of the workplace user
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "The slug of the workplace user"
}
},
"required" : [
"PCID" ,
"slug"
]
}
doppler_workplace_users_list
List
Parameters:
Parameter Type Required Default Description pageinteger No — The page of users to fetch emailstring No — Filter results to only include the user with the provided email address
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"page" : {
"type" : "integer" ,
"description" : "The page of users to fetch"
},
"email" : {
"type" : "string" ,
"description" : "Filter results to only include the user with the provided email address"
}
},
"required" : [
"PCID"
]
}
doppler_workplace_users_update
Update
Parameters:
Parameter Type Required Default Description slugstring Yes — The slug of the workplace user. accessstring No — The identifier of the workplace role. E.g., owner, collaborator, etc.
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"slug" : {
"type" : "string" ,
"description" : "The slug of the workplace user."
},
"access" : {
"type" : "string" ,
"description" : "The identifier of the workplace role. E.g., `owner`, `collaborator`, etc."
}
},
"required" : [
"PCID" ,
"slug"
]
}